"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const scripts_1 = require("../internal/scripts");
const command_1 = require("@oclif/command");
class Electron extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { args } = this.parse(Electron);
            if (args.action === 'build') {
                yield scripts_1.build(this);
            }
            else if (args.action === 'run') {
                yield scripts_1.run(this);
            }
        });
    }
}
Electron.description = 'describe the command here';
Electron.examples = [
    `$ oclif-example hello
    hello world from ./src/hello.ts!
    `,
];
Electron.args = [{
        default: 'run',
        name: 'action',
        options: ['build', 'run'],
        required: true,
    }];
exports.default = Electron;
//# sourceMappingURL=electron.js.map