"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
class Hello extends command_1.Command {
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            const { args, flags } = this.parse(Hello);
            const name = flags.name || 'world';
            this.log(`hello ${name} from ./src/commands/hello.ts`);
            if (args.file && flags.force) {
                this.log(`you input --force and --file: ${args.file}`);
            }
        });
    }
}
Hello.description = 'describe the command here';
Hello.examples = [
    `$ bluerain hello
hello world from ./src/hello.ts!
`,
];
Hello.flags = {
    help: command_1.flags.help({ char: 'h' }),
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'name to print' }),
    // flag with no value (-f, --force)
    force: command_1.flags.boolean({ char: 'f' }),
};
Hello.args = [{ name: 'file' }];
exports.default = Hello;
//# sourceMappingURL=hi.js.map