"use strict";
// tslint:disable:object-literal-sort-keys
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bluerain_cli_core_1 = require("@blueeast/bluerain-cli-core");
const path_1 = __importDefault(require("path"));
const EnvVars = bluerain_cli_core_1.Utils.EnvVars;
// const fromRoot = (file: string) => {
// 	return path.resolve(__dirname, '..', '..', '..', file);
// };
exports.fromHere = (file) => {
    return path_1.default.resolve(__dirname, file);
};
exports.DefaultPlatformConfigs = {
    target: 'electron',
    host: EnvVars.string('HOST', '0.0.0.0'),
    port: EnvVars.number('PORT', 1437),
    clientDevDashboardPort: EnvVars.number('CLIENT_DEV_DASHBOARD_PORT', 1438),
    disableDevDashboard: false,
    buildOutputPath: bluerain_cli_core_1.Utils.fromProjectRoot('./build'),
    includeSourceMapsForOptimisedClientBundle: false,
    // TODO:
    // bundleSrcTypes: [
    // 	'.electron.ts', '.ts',
    // 	'.electron.tsx', '.tsx',
    // 	'.electron.js', '.js',
    // 	'.electron.jsx', '.jsx'
    // ],
    bundleSrcTypes: ['ts', 'tsx', 'js', 'jsx', 'json'],
    nodeExternalsFileTypeWhitelist: [
        /\.(eot|woff|woff2|ttf|otf)$/,
        /\.(svg|png|jpg|jpeg|gif|ico)$/,
        /\.(mp4|mp3|ogg|swf|webp)$/,
        /\.(css|scss|sass|sss|less)$/,
    ],
    bundles: {
        client: {
            srcEntryFile: exports.fromHere('../../client/index'),
            srcPaths: [
                bluerain_cli_core_1.Utils.fromProjectRoot('./bluerain/boot'),
                bluerain_cli_core_1.Utils.fromProjectRoot('./src'),
            ],
            outputPath: bluerain_cli_core_1.Utils.fromProjectRoot('build/client'),
            webPath: '/client',
            devVendorDLL: {
                enabled: true,
                include: [
                    'react',
                    'react-dom',
                ],
                name: '__dev_vendor_dll__',
            },
        },
    },
};
exports.default = () => ({ electron: exports.DefaultPlatformConfigs });
//# sourceMappingURL=platform.js.map