"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bluerain_cli_core_1 = require("@blueeast/bluerain-cli-core");
const bluerain_cli_web_1 = require("@blueeast/bluerain-cli-web");
const path_1 = __importDefault(require("path"));
const fromRoot = (pathSegment) => path_1.default.resolve(__dirname, `../../../${pathSegment}`);
exports.default = (webpackConfigInput = {}, buildOptions) => {
    const builder = new bluerain_cli_web_1.WebpackTools.WebpackBuilder(buildOptions, webpackConfigInput);
    const configs = builder
        // // Base Config
        // .use(WebpackTools.BaseConfig)
        // Manually set target to electron
        .merge({
        entry: fromRoot('./src/app/main_process.ts'),
        output: {
            filename: 'main.js',
            path: bluerain_cli_core_1.Utils.fromProjectRoot('/build/electron'),
            publicPath: 'build/',
        },
        target: 'electron-main',
        module: {
            // Use strict export presence so that a missing export becomes a compile error.
            strictExportPresence: true,
            rules: [{
                    oneOf: []
                }]
        }
    })
        // // Hot Module Replacement
        // .use(WebpackTools.HotModuleReplacement)
        // // Source Maps
        // .use(WebpackTools.SourceMaps)
        // // Patch React Native
        // .use(WebpackTools.ReactNative)
        // // Add Jarvis Dashboard
        // .use(WebpackTools.Jarvis)
        ///// Loaders
        // // CSS Loader
        // .use(WebpackTools.LoaderCss)
        // TS Loader
        .use(bluerain_cli_web_1.WebpackTools.LoaderTypescript)
        // JS Loader
        .use(bluerain_cli_web_1.WebpackTools.LoaderJavascript)
        // Finally, merge user input overrides
        .merge(webpackConfigInput)
        // Build
        .build();
    return configs;
};
//# sourceMappingURL=webpack.config.js.map